Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456052 - kernel: fix array out of bounds when mounting with selinux options [rhel-5.3]
Summary: kernel: fix array out of bounds when mounting with selinux options [rhel-5.3]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Eugene Teo (Security Response)
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On: 456051
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-21 08:53 UTC by Eugene Teo (Security Response)
Modified: 2009-01-20 20:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 20:22:37 UTC


Attachments (Terms of Use)
Upstream patch for this issue (deleted)
2008-07-21 08:54 UTC, Eugene Teo (Security Response)
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Eugene Teo (Security Response) 2008-07-21 08:53:08 UTC
+++ This bug was initially created as a clone of Bug #456051 +++

Description of problem:
Given an illegal selinux option it was possible for match_token to work in
random memory at the end of the match_table_t array.

Note that privilege is required to perform a context mount, so this issue is
effectively limited to root only.

-- Additional comment from eteo@redhat.com on 2008-07-21 04:49 EST --
Proposed upstream patch:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=31e879309474d1666d645b96de99d0b682fa055f

Comment 1 Eugene Teo (Security Response) 2008-07-21 08:54:23 UTC
Created attachment 312236 [details]
Upstream patch for this issue

Comment 3 RHEL Product and Program Management 2008-07-21 13:42:03 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Don Zickus 2008-07-25 20:26:54 UTC
in kernel-2.6.18-100.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 9 errata-xmlrpc 2009-01-20 20:22:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.